Bug 2218314 - python-zmq-25.1.0-1.fc39.ppc64le crashes in tests with Python 3.12
Summary: python-zmq-25.1.0-1.fc39.ppc64le crashes in tests with Python 3.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-zmq
Version: 39
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-06-28 18:03 UTC by Miro Hrončok
Modified: 2023-09-23 00:16 UTC (History)
5 users (show)

Fixed In Version: python-zmq-25.1.0-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-23 00:16:59 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2023-06-28 18:03:24 UTC
I've added this to the python-zmq spec:

%pytest ...
%ifarch ppc64le
-k "not (test_green_device or (Green and (test_raw or test_timeout or test_poll)))"  # this crashes on Python 3.12, TODO investigate
%endif

I am opening this bugzilla to track a proper fix.


The deselected tests crash with:

BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/tests/test_device.py::TestDeviceGreen::test_green_device Fatal Python error: Aborted
Thread 0x00007fff7b7ef120 (most recent call first):
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 236 in run_device
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 247 in run
  File "/usr/lib64/python3.12/threading.py", line 989 in run
  File "/usr/lib64/python3.12/threading.py", line 1052 in _bootstrap_inner
  File "/usr/lib64/python3.12/threading.py", line 1009 in _bootstrap
Thread 0x00007fff79fbf120 (most recent call first):
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 236 in run_device
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 247 in run
  File "/usr/lib64/python3.12/threading.py", line 989 in run
  File "/usr/lib64/python3.12/threading.py", line 1052 in _bootstrap_inner
  File "/usr/lib64/python3.12/threading.py", line 1009 in _bootstrap
Thread 0x00007fffa2a6f120 (most recent call first):
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 236 in run_device
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 247 in run
  File "/usr/lib64/python3.12/threading.py", line 989 in run
  File "/usr/lib64/python3.12/threading.py", line 1052 in _bootstrap_inner
  File "/usr/lib64/python3.12/threading.py", line 1009 in _bootstrap
Thread 0x00007fffa4aff120 (most recent call first):
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 236 in run_device
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 247 in run
  File "/usr/lib64/python3.12/threading.py", line 989 in run
  File "/usr/lib64/python3.12/threading.py", line 1052 in _bootstrap_inner
  File "/usr/lib64/python3.12/threading.py", line 1009 in _bootstrap
Thread 0x00007fff7a7cf120 (most recent call first):
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/proxydevice.py", line 75 in run_device
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/devices/basedevice.py", line 247 in run
  File "/usr/lib64/python3.12/threading.py", line 989 in run
  File "/usr/lib64/python3.12/threading.py", line 1052 in _bootstrap_inner
  File "/usr/lib64/python3.12/threading.py", line 1009 in _bootstrap
Current thread 0x00007fffa97e3b80 (most recent call first):
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/green/core.py", line 183 in _wait_read
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/green/core.py", line 268 in recv
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/sugar/socket.py", line 805 in recv_multipart
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/green/core.py", line 284 in recv_multipart
  File "/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages/zmq/green/device.py", line 33 in device
Extension modules: zmq.backend.cython.context, zmq.backend.cython.message, zmq.backend.cython.socket, zmq.backend.cython._device, zmq.backend.cython._poll, zmq.backend.cython._proxy_steerable, zmq.backend.cython._version, zmq.backend.cython.error, zmq.backend.cython.utils, greenlet._greenlet, zope.interface._zope_interface_coptimizations, gevent.libev.corecext, gevent._gevent_c_greenlet_primitives, gevent._gevent_c_hub_local, gevent._gevent_c_waiter, gevent._gevent_c_hub_primitives, gevent._gevent_c_ident, gevent._gevent_cgreenlet, gevent._gevent_c_abstract_linkable, gevent._gevent_cevent, tornado.speedups, zmq.devices.monitoredqueue (total: 22)
RPM build errors:
/var/tmp/rpm-tmp.FWW6h6: line 54:  2389 Aborted                 (core dumped) CFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}" LDFLAGS="${LDFLAGS:-${RPM_LD_FLAGS}}" PATH="/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/bin:$PATH" PYTHONPATH="${PYTHONPATH:-/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib64/python3.12/site-packages:/builddir/build/BUILDROOT/python-zmq-25.1.0-1.fc39.ppc64le/usr/lib/python3.12/site-packages}" PYTHONDONTWRITEBYTECODE=1 PYTEST_ADDOPTS="${PYTEST_ADDOPTS:-} --ignore=/builddir/build/BUILD/pyzmq-25.1.0/.pyproject-builddir" PYTEST_XDIST_AUTO_NUM_WORKERS=8 /usr/bin/pytest --pyargs zmq -v --asyncio-mode auto

Comment 1 Fedora Release Engineering 2023-08-16 07:15:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 2 Fedora Update System 2023-09-14 21:30:58 UTC
FEDORA-2023-8ce40301e7 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8ce40301e7

Comment 3 Fedora Update System 2023-09-15 02:28:47 UTC
FEDORA-2023-8ce40301e7 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8ce40301e7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8ce40301e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-09-23 00:16:59 UTC
FEDORA-2023-8ce40301e7 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.